## dia2code 0.8.3

=== debian/changelog ===
dia2code (0.8.3-4.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Use package format 3.0 (quilt).
  * Use debhelper-compat v13 (Closes: #965485).
  * Switch from 'cdbs' to 'dh' format.
  * debian/changelog: Trim trailing whitespace.
  * debian/control:
    - Drop versioned dependency on libxml2.
    - Drop cdbs, autotools-dev and patchutils from the Build-Depends list.
    - Build-Depend on pkg-config.
    - Raise Standards-Version to 4.6.0 from 3.7.3 (no changes needed).
    - Declare Rules-Requires-Root: no.
    - Add Homepage field.
    - Remove alternative recommends on dia-gnome (Closes: #878587).
    - Add ${misc:Depends} to the binary package Depends list.
  * debian/copyright: Use DEP-5 format and update for 2022.
  * debian/patches: Add descriptions and other metadata.
  * debian/rules: Add hardening flags to DEB_BUILD_MAINT_OPTIONS.
  * Use pkg-config to find libxml2 (Closes: #949091).
  * Update debian/watch file.

 -- Hugh McMaster <hugh.mcmaster@outlook.com>  Sun, 03 Apr 2022 17:55:21 +1000

dia2code (0.8.3-4.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix ftbfs with GCC-10. (Closes: #957133)

 -- Sudip Mukherjee <sudipm.mukherjee@gmail.com>  Sun, 06 Sep 2020 18:53:21 +0100

dia2code (0.8.3-4) unstable; urgency=low

  * debian/patches/fix_Segfault.patch: fixed segfault (Closes: #550092).

 -- Francesco Aloe <francescoaloe4gnulinux@gmail.com>  Sat, 24 Apr 2010 12:42:48 +0200

dia2code (0.8.3-3) unstable; urgency=low

  * debian/watch: fixed obsolete and not working watch file. Closes #49789.
  * debian/control: removed build-dep on automake1.4 and added automake.
  * debian/dirs: removed this file because it was not needed.
  * Removed some superfluous newlines, trailing whitespaces and fixed typos.

 -- Francesco Aloe <francescoaloe4gnulinux@gmail.com>  Wed, 19 Dec 2007 18:33:39 +0100

dia2code (0.8.3-2) unstable; urgency=low

  * New maintainer (Closes: #264107)
  * debian/control: updated standards version to 3.7.3
  * debian/control: removed build-dep on doc-to-man and added cdbs, patchutils
  * debian/rules: switched to cdbs
  * debian/compat: updated to 5
  * debian/patches: managed patches by cdbs simple-patchsys
  * Fixed manpage: added some options missing
  * debian/dia2code.sgml: removed this file because it was used for to generate
    the manpage, is now being used the upstream manpage

 -- Francesco Aloe <francescoaloe4gnulinux@gmail.com>  Thu, 13 Dec 2007 11:33:22 +0100

dia2code (0.8.3-1) unstable; urgency=low

  * QA upload.
  * New upstream release (closes: #410690), notable changes:
    - added various code generators: C# (closes: #201049), PHP5, Ruby

 -- Stefano Zacchiroli <zack@debian.org>  Mon, 12 Feb 2007 18:03:22 +0100

dia2code (0.8.1-5) unstable; urgency=low

  * QA upload.
  * Fix FTBFS by adding automake1.4 to build depends, closes: #264026.

 -- Ola Lundqvist <opal@debian.org>  Tue, 31 Aug 2004 12:45:59 +0200

dia2code (0.8.1-4) unstable; urgency=low

  * QA upload.
  * Changed maintainer to Debian QA Group <packages@qa.debian.org>
    as the package has been orphaned for some time according to
    #264107.
  * Updated standards verstion to 3.6.1.
  * Fixed FTBFS bug, closes: #264026.

 -- Ola Lundqvist <opal@debian.org>  Fri, 20 Aug 2004 09:21:51 +0200

dia2code (0.8.1-3) unstable; urgency=low

  * New maintainer. (Closes: #187731)
  * dia2code.h: prefix libxml2 includes with <libxml/>. (Closes: #192857)
  * Updated standards version to 3.5.10
  * Updated package descriptions for additional languages dia2code can
    generate.
  * Add AM_MAINTAINER_MODE to configure.in and update aclocal.m4, configure.
    Add a kludge to debian/rules to avoid rerunning autoheader and automake.
  * Use autotools-dev.

 -- Morgon Kanter <morgon@surgo.net>  Wed,  4 Jun 2003 16:29:47 -0400

dia2code (0.8.1-2) unstable; urgency=low

  * Prevent a crash in lolipop_implementation(). Patch from Patrice Neff
    <software@patrice.ch> (also forwarded upstream) (Closes: #133339)

 -- Cyrille Chepelov <cyrille@chepelov.org>  Fri, 15 Feb 2002 00:07:06 +0100

dia2code (0.8.1-1) unstable; urgency=low

  * New upstream release

 -- Cyrille Chepelov <cyrille@chepelov.org>  Sat,  5 Jan 2002 22:01:27 +0100

dia2code (0.7-2) unstable; urgency=low

  * Removed check for xml-config, since the transition to libxml2 is done
    (Closes: #122889)

 -- Cyrille Chepelov <cyrille@chepelov.org>  Sat,  8 Dec 2001 08:48:00 +0100

dia2code (0.7-1) unstable; urgency=low

  * New upstream release

 -- Cyrille Chepelov <cyrille@chepelov.org>  Fri,  7 Dec 2001 14:39:15 +0100

dia2code (0.5-11) unstable; urgency=low

  * Added a build-dependency on automake to fix ia-64 build-time problems.
    Fix from Eric Gillepsie <epg@debian.org> (Closes: #105103)

 -- Cyrille Chepelov <chepelov@calixo.net>  Thu, 19 Jul 2001 18:54:12 +0200

dia2code (0.5-10) unstable; urgency=low

  * dia2code.kdevprj, configure.in, dia2code/Makefile.am: use proper
    detection and invocation of libxml using xml-config. This makes the
    build more resilient when building on the HURD. (sent upstream)

 -- Cyrille Chepelov <chepelov@calixo.net>  Tue,  3 Jul 2001 01:56:32 +0200

dia2code (0.5-9) unstable; urgency=low

  * Made relationship fields in debian/control single-line (policy and
    behaviour of core tools are quite in disagreement...)
  * new maintainer address (same maintainer, but NM)
  * bumped up the standards version number in debian/control.
  * debian/dia2code.sgml: bumped up to DocBook 4.1 (hopefully).
  changed the manpage author's address (mine).

 -- Cyrille Chepelov <chep@debian.org>  Sat, 24 Mar 2001 21:17:06 +0100

dia2code (0.5-8) unstable; urgency=low

  * moved docbook-to-man as a Build-Depends, not a Build-Depends-Indep (we
    do nothing in binary-indep, thus we need nothing). (Closes: #89266)

 -- Cyrille Chepelov <chepelov@calixo.net>  Sun, 11 Mar 2001 18:53:29 +0100

dia2code (0.5-7) unstable; urgency=low


