=== debian/control ===
Source: dia2code
Section: devel
Priority: optional
Build-Depends:
 debhelper-compat (= 13),
 automake,
 libxml2-dev,
 pkg-config
Maintainer: Francesco Aloe <francescoaloe4gnulinux@gmail.com>
Standards-Version: 4.6.0
Rules-Requires-Root: no
Homepage: https://sourceforge.net/projects/dia2code/

Package: dia2code
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Recommends: dia
Description: a dia-UML code generator
 dia2code is a code generator which uses UML diagrams produced by dia,
 and turns them into C, C++, Java, Ada, PHP, Python, Shapefile, SQL,
 and C# files.
