=== debian/watch ===
version=4
http://sf.net/dia2code/dia2code-(\d\S+)\.tar\.gz
