## dia2code 1.0.0

=== debian/changelog ===
dia2code (1.0.0-1) unstable; urgency=medium

  [ Andreas Tille ]
  * New upstream version
    Closes: #240091, #810678
  * Maintain package in Salvage team
  * d/watch: version=5
  * Remove automake from Build-Depends
  * ACK NMU (Closes: #1008872)
  * Standards-Version: 4.7.3
  * debputy lint --auto-fix (routine-update)
  * d/copyright: review
  * Patches needed to build successfully when configuring with --with-corba

  [ Nicolas Schodet ]
  * Add no-profiling.patch, disabling code profiling
  * d/control: remove now useless Rules-Requires-Root and Priority
  * Set myself as uploader
  * Add automatic tests

 -- Nicolas Schodet <nico@ni.fr.eu.org>  Thu, 29 Jan 2026 18:14:18 +0100

dia2code (0.8.3-4.4) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix FTBFS with GCC 15. (Closes: #1096521)

 -- Adrian Bunk <bunk@debian.org>  Mon, 22 Sep 2025 22:54:46 +0300

dia2code (0.8.3-4.3) unstable; urgency=medium

  * Non-maintainer upload.
  * debian/control:
    + Build-Depend on pkgconf instead of pkg-config.
    + Raise Standards-Version to 4.7.0 from 4.6.0 (no changes needed).
    + Remove initial indefinite article from the short package description.
  * debian/copyright: Update for 2025.
  * debian/patches:
    + generate_close_java.patch:
      - Use fclose() to close FILE *dummyfile (Closes: #1066667).
      - Fix spelling error (inheritence -> inheritance) (lintian).
    + parse_diagram-header.patch: Add insert_attribute() prototype.
    + fprint-arg-ruby.patch: Remove un-needed fprintf() argument without
      format specifier.

 -- Hugh McMaster <hmc@debian.org>  Sat, 04 Jan 2025 23:30:21 +1100
