=== debian/control ===
Source: dia2code
Standards-Version: 4.7.3
Maintainer: Package Salvaging Team <team+salvage@tracker.debian.org>
Uploaders:
 Francesco Aloe <francescoaloe4gnulinux@gmail.com>,
 Nicolas Schodet <nico@ni.fr.eu.org>,
Section: devel
Build-Depends:
 debhelper-compat (= 13),
 libxml2-dev,
 pkgconf,
Vcs-Browser: https://salsa.debian.org/salvage-team/dia2code
Vcs-Git: https://salsa.debian.org/salvage-team/dia2code.git
Homepage: https://sourceforge.net/projects/dia2code/

Package: dia2code
Architecture: any
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
Recommends:
 dia,
Description: dia-UML code generator
 dia2code is a code generator which uses UML diagrams produced by dia,
 and turns them into C, C++, Java, Ada, PHP, Python, Shapefile, SQL,
 and C# files.
