=== debian/tests/control ===
Tests: src-tests
Depends: @, bash
Restrictions: allow-stderr
